Subject: Re: bug#40914: 27.0.91; erc send is failing on pretest

From: Eli Zaretskii <[email-masked]>
Date: Tue, 28 Apr 2020 12:10:07 +0300

> From: Andrés Ramírez <[email-masked]>
> Date: Mon, 27 Apr 2020 22:22:17 +0000
> 
> Hi. When connecting to irc And pressing return for sending this string:
> --8<---------------cut here---------------start------------->8---
> "Hi Guys. Ethernet connection drops from time to time. Has anyone
> experienced this behaviour before?"
> --8<---------------cut here---------------end--------------->8---
> 
> I am getting this Backtrace.
> --8<---------------cut here---------------start------------->8---
> Debugger entered--Lisp error: (wrong-type-argument listp utf-8)
>   erc-split-line("Hi Guys. Ethernet connection drops from time to ti...")
>   #f(compiled-function (line) #<bytecode 0x985e39>)("Hi Guys. Ethernet connection drops from time to ti...")
>   mapc(#f(compiled-function (line) #<bytecode 0x985e39>) ("Hi Guys. Ethernet connection drops from time to ti..."))
>   erc-send-input("Hi Guys. Ethernet connection drops from time to ti...")
>   erc-send-current-line()
>   funcall-interactively(erc-send-current-line)
>   call-interactively(erc-send-current-line nil nil)
>   command-execute(erc-send-current-line)
> --8<---------------cut here---------------end--------------->8---

I cannot reproduce this, so I guess this is triggered by something
specific in your environment.

What does the following yield in a session that fails like this?

  M-: (erc-coding-system-for-target nil) RET